# Specify the following
filepath = "/path/to/input"
calc_area = (0,0,10,10)

# Open file and get layers
input = pynebv.file.open(filepath)
layers = input.layers()

# Hide all layers once
for layer in layers:
    layer.display = False

# Calculate density for each layer
print("Input Data : " + filepath)
print("Calculation Area : " + str(calc_area))
print("-------------------")
for layer in layers:
    layer.display = True
    density = pynebv.calculation.density(calc_area)
    density_val = density.props()['Density']
    layno = layer.name
    print(layno + " : " + density_val + "%")
    layer.display = False
print("-------------------")

